%define pkgname		gdk-pixbuf-xlib
%define api		2.0
%define lib_major	0

%define libname		%mklibname gdk_pixbuf_xlib %{api} %{lib_major}
%define develname	%mklibname -d gdk_pixbuf_xlib %{api}

%define url_ver %{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

Summary:	Image loading and manipulation library for GTK+
Name:		%{pkgname}%{api}
Version:	2.40.2
Release:        %mkrel 2
License:	LGPLv2+
Group:		System/Libraries
URL:            https://gitlab.gnome.org/Archive/gdk-pixbuf-xlib
Source0:	https://gitlab.gnome.org/Archive/gdk-pixbuf-xlib/-/archive/%{version}/gdk-pixbuf-xlib-%{version}.tar.bz2
BuildRequires:	meson
BuildRequires:	pkgconfig(gdk-pixbuf-2.0)
BuildRequires:	pkgconfig(gio-2.0)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gmodule-no-export-2.0)
BuildRequires:	pkgconfig(gobject-2.0)
BuildRequires:	pkgconfig(gthread-2.0)
BuildRequires:	pkgconfig(x11)

%description
This package contains libraries used by GTK+ to load and handle
various image formats.

%package -n %{libname}
Summary:	Image loading and manipulation library for GTK+
Group:		System/Libraries
Provides:	libgdk_pixbuf_xlib%{api} = %{version}-%{release}
Conflicts:	%{_lib}gdk_pixbuf2.0_0 < 2.42.0-1

%description -n %{libname}
This package contains libraries used by GTK+ to load and handle
various image formats.

%package -n %{develname}
Summary:	Development files for image handling library for GTK+
Group:		Development/GNOME and GTK+
Provides:	libgdk_pixbuf_xlib%{api}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}
Requires:	pkgconfig(libpng16)
Conflicts:	%{_lib}gdk_pixbuf2.0-devel < 2.42.0-1

%description -n %{develname}
This package contains the development files needed to compile programs
that uses GTK+ image loading/manipulation library.

%prep
%setup -qn %{pkgname}-%{version}
%autopatch -p1

%build
%meson
%meson_build

%install
%meson_install

%files -n %{libname}
%license COPYING
%{_libdir}/libgdk_pixbuf_xlib-%{api}.so.%{lib_major}{,.*}

%files -n %{develname}
%{_includedir}/gdk-pixbuf-%{api}/gdk-pixbuf-xlib/
%{_libdir}/libgdk_pixbuf_xlib-%{api}.so
%{_libdir}/pkgconfig/gdk-pixbuf-xlib-%{api}.pc


%changelog
* Thu Mar 24 2022 umeabot <umeabot> 2.40.2-2.mga9
+ Revision: 1824453
- Mageia 9 Mass Rebuild

* Sun Sep 12 2021 wally <wally> 2.40.2-1.mga9
+ Revision: 1745303
- new version 2.40.2

* Sun Nov 29 2020 wally <wally> 0.0-2.mga8
+ Revision: 1650183
- fix lib pkg provides
- conflict with old gdk-pixbuf2.0 lib

* Wed Nov 11 2020 tv <tv> 0.0-1.mga8
+ Revision: 1644496
- imported package gdk-pixbuf-xlib2.0

